<div>
    <div>
      <div *ngIf="title" 
        [class]="options.titleClass" 
        [attr.aria-label]="title"
        class="custom-title">
        {{ title }}
      </div>
      <div *ngIf="message && options.enableHtml" role="alert" aria-live="polite"
        class="custom-message"
        [class]="options.messageClass" [innerHTML]="message">
      </div>
      <div *ngIf="message && !options.enableHtml" role="alert" aria-live="polite" class="custom-message"
        [class]="options.messageClass" [attr.aria-label]="message">
        <div class=" d-flex align-items-center">
          <i class="las la-check-circle f-30 toast-icon success-icon"></i>
            <i class="las la-times-circle f-30 toast-icon danger-icon"></i>
        <i class="las la-info f-30 toast-icon info-icon"></i>
        <i class="las la-exclamation-triangle f-30 toast-icon warning-icon"></i>
          <span class="f-16 ml-2">{{ message }} </span>
        </div>
       
      
   
      </div>
    </div>
    <div class="text-right">
      <!-- <a *ngIf="!options.closeButton" class="btn btn-pink btn-sm" (click)="action($event)">
        {{ undoString }}
      </a> -->
      <a *ngIf="options.closeButton" (click)="remove()" class="btn btn-sm toast-close-button">
        &times;
      </a>
    </div>
  </div>

  <div *ngIf="options.progressBar">
    <div class="toast-progress" [style.width]="width + '%'"></div>
  </div>